E-Bio KEC - Secure Smartcard Readers Firmware v1.1

Certificate details

Status archived
Valid from 11.07.2019
Valid until 11.07.2024
Scheme πŸ‡ΉπŸ‡· TR
Manufacturer ETB Elektronik Teknoloji ve Bilişim Hizmetleri San. Tic. Ltd. Şti.
Category ICs, Smart Cards and Smart Card-Related Devices and Systems
Security level ALC_DVS.2, EAL4+
Protection profiles

Certificate

certificate could not be downloaded, no link is available.

Certification report

Extracted keywords

Protocols
TLS

JavaCard packages
org.f

Security level
EAL 4+, EAL2, EAL4+

Standards
ISO/IEC 17025

Security target

security target file processing did not finish successfully.
Download pdf: OK
Convert pdf to text: OK
Extract keywords: ERROR

Extracted keywords

Symmetric Algorithms
AES-256, AES, CMAC
Hash functions
SHA-256
Protocols
TLS, TLS v1.2
Block cipher modes
CBC

Security level
EAL4+, EAL4, EAL4 augmented
Claims
A.SPCA, A.IVPS, A.EBS-EPP, A.PC, A.APS-IVPS, A.SAM_, A.APS, OT.IVA_, OT.APS_DA, OT.SAS_DA, OT.APS_SC, OT.SAS_SC, OT.RH_DA, OT.RH_SC, OT.EBS_DA, OT.EBS_SC, OT.EPP_DA, OT.EPP_SC, OT.DPM, OT.SM_, OT.RIP, OT.IVA, OE.SPCA, OE.IVPS, OE.SAM, OE.OCSPS, OE.IVS, OE.EBS, OE.EPP, OE.PC, OE.SAS, OE.PKI, OE.CM, OE.APS, OE.OCSP, OE.SSR_
Security Assurance Requirements (SAR)
ALC_DVS.2, AVA_VAN.3, AVA_VAN.5
Security Functional Requirements (SFR)
FAU_GEN, FAU_GEN.1, FAU_GEN.1.1, FAU_GEN.1.2, FAU_ARP.1, FAU_SAA.1, FAU_ARP.1.1, FAU_SAR.1, FAU_SAR.1.1, FAU_SAR.1.2, FAU_STG.1, FAU_STG.1.1, FAU_STG.1.2, FAU_STG.4, FAU_STG.3, FAU_STG.4.1, FAU_SAA.1.1, FAU_SAA.1.2, FCO_NRO.2, FCO_NRO.2.1, FCO_NRO.2.2, FCO_NRO.2.3, FCS_CKM, FCS_CKM.2, FCS_COP.1, FCS_COP, FCS_CKM.4, FCS_CKM.1.1, FCS_CKM.1, FCS_CKM.4.1, FCS_COP.1.1, FDP_ITC.1, FDP_ITC.2, FDP_IFC.1, FDP_IFF.1, FDP_IFC.1.1, FDP_IFF.1.1, FDP_IFF.1.2, FDP_IFF.1.3, FDP_IFF.1.4, FDP_IFF.1.5, FDP_ETC.2, FDP_ACC.1, FDP_ETC.2.1, FDP_ETC.2.2, FDP_ETC.2.3, FDP_ETC.2.4, FDP_RIP.1, FDP_RIP.1.1, FDP_RIP, FIA_AFL.1, FIA_UAU.1, FIA_UAU.2, FIA_AFL.1.1, FIA_AFL.1.2, FIA_UID.2, FIA_UID.2.1, FIA_UID.1, FIA_UAU.2.1, FIA_UAU.5, FIA_UAU.5.1, FIA_UAU.5.2, FIA_UAU.6, FIA_UAU.6.1, FIA_UAU.7, FIA_UAU.7.1, FMT_MOF.1, FMT_SMR.1, FMT_SMF.1, FMT_MOF.1.1, FMT_MTD, FMT_MTD.1.1, FMT_SMF.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FMT_MSA.3, FMT_MOF, FMT_SMF, FMT_SMR, FPT_IDA, FPT_IDA.1, FPT_SSY, FPT_SSY.1, FPT_IDA.1.1, FPT_SSY.1.1, FPT_STM.1, FPT_STM.1.1, FPT_TST.1, FPT_TST.1.1, FPT_TST.1.2, FPT_TST.1.3, FPT_FLS.1, FPT_FLS.1.1, FPT_FLS, FPT_ITC.1, FTP_ITC.1, FTP_ITC.1.1, FTP_ITC.1.2, FTP_ITC.1.3

Side-channel analysis
physical tampering

Standards
FIPS 180-4, FIPS 197, PKCS#1, PKCS #1, RFC 5246, RFC 4493, RFC 3447, CCMB-2017-04-001, CCMB-2017-04-002, CCMB-2017-04-003, CCMB-2017-04-004

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Extracted SARs

ALC_DVS.2, AVA_VAN.5

Cross-references

No references are available for this certificate as its ID was not successfully extracted.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "ICs, Smart Cards and Smart Card-Related Devices and Systems",
  "cert_link": null,
  "dgst": "444b8b248923c13f",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": null,
    "cert_lab": null,
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL4+",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DVS",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 5
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "1.1"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": {
      "_type": "Set",
      "elements": [
        "7036cdfe9b310fa3"
      ]
    },
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": null,
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "ETB Elektronik Teknoloji ve Bili\u015fim Hizmetleri San. Tic. Ltd. \u015eti.",
  "manufacturer_web": "https://www.etb.com.tr/",
  "name": "E-Bio KEC - Secure Smartcard Readers Firmware v1.1",
  "not_valid_after": "2024-07-11",
  "not_valid_before": "2019-07-11",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": null,
    "cert_frontpage": null,
    "cert_keywords": null,
    "cert_metadata": null,
    "report_filename": "E-Bio KEC SSR Firmware v1.1 Certification Report.pdf",
    "report_frontpage": {},
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {
        "EAL": {
          "EAL 4+": 1,
          "EAL2": 1,
          "EAL4+": 2
        }
      },
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "TLS": {
            "TLS": 1
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {
        "org": {
          "org.f": 1
        }
      },
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "ISO": {
          "ISO/IEC 17025": 2
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "report_metadata": {
      "/CreationDate": "D:20190710130503+02\u002700\u0027",
      "/Creator": "Canon iR-ADV C5240  PDF",
      "/Producer": "Adobe PSL 1.2e for Canon\u0000",
      "pdf_file_size_bytes": 1103811,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 16
    },
    "st_filename": "E-Bio-KEC-ST-v1.6.docx",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.APS": 1,
          "A.APS-IVPS": 2,
          "A.EBS-EPP": 4,
          "A.IVPS": 3,
          "A.PC": 3,
          "A.SAM_": 4,
          "A.SPCA": 3
        },
        "OE": {
          "OE.APS": 13,
          "OE.CM": 38,
          "OE.EBS": 11,
          "OE.EPP": 12,
          "OE.IVPS": 6,
          "OE.IVS": 4,
          "OE.OCSP": 2,
          "OE.OCSPS": 7,
          "OE.PC": 5,
          "OE.PKI": 32,
          "OE.SAM": 43,
          "OE.SAS": 10,
          "OE.SPCA": 7,
          "OE.SSR_": 5
        },
        "OT": {
          "OT.APS_DA": 8,
          "OT.APS_SC": 5,
          "OT.DPM": 5,
          "OT.EBS_DA": 9,
          "OT.EBS_SC": 4,
          "OT.EPP_DA": 10,
          "OT.EPP_SC": 4,
          "OT.IVA": 1,
          "OT.IVA_": 5,
          "OT.RH_DA": 9,
          "OT.RH_SC": 6,
          "OT.RIP": 8,
          "OT.SAS_DA": 8,
          "OT.SAS_SC": 6,
          "OT.SM_": 2
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ALC": {
          "ALC_DVS.2": 5
        },
        "AVA": {
          "AVA_VAN.3": 3,
          "AVA_VAN.5": 1
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL4": 6,
          "EAL4 augmented": 1,
          "EAL4+": 2
        }
      },
      "cc_sfr": {
        "FAU": {
          "FAU_ARP.1": 9,
          "FAU_ARP.1.1": 1,
          "FAU_GEN": 2,
          "FAU_GEN.1": 47,
          "FAU_GEN.1.1": 1,
          "FAU_GEN.1.2": 1,
          "FAU_SAA.1": 7,
          "FAU_SAA.1.1": 1,
          "FAU_SAA.1.2": 1,
          "FAU_SAR.1": 5,
          "FAU_SAR.1.1": 1,
          "FAU_SAR.1.2": 1,
          "FAU_STG.1": 5,
          "FAU_STG.1.1": 1,
          "FAU_STG.1.2": 1,
          "FAU_STG.3": 1,
          "FAU_STG.4": 5,
          "FAU_STG.4.1": 1
        },
        "FCO": {
          "FCO_NRO.2": 5,
          "FCO_NRO.2.1": 1,
          "FCO_NRO.2.2": 1,
          "FCO_NRO.2.3": 1
        },
        "FCS": {
          "FCS_CKM": 48,
          "FCS_CKM.1": 7,
          "FCS_CKM.1.1": 3,
          "FCS_CKM.2": 3,
          "FCS_CKM.4": 39,
          "FCS_CKM.4.1": 1,
          "FCS_COP": 75,
          "FCS_COP.1": 3,
          "FCS_COP.1.1": 5
        },
        "FDP": {
          "FDP_ACC.1": 1,
          "FDP_ETC.2": 14,
          "FDP_ETC.2.1": 1,
          "FDP_ETC.2.2": 1,
          "FDP_ETC.2.3": 1,
          "FDP_ETC.2.4": 1,
          "FDP_IFC.1": 18,
          "FDP_IFC.1.1": 1,
          "FDP_IFF.1": 16,
          "FDP_IFF.1.1": 1,
          "FDP_IFF.1.2": 1,
          "FDP_IFF.1.3": 1,
          "FDP_IFF.1.4": 1,
          "FDP_IFF.1.5": 1,
          "FDP_ITC.1": 6,
          "FDP_ITC.2": 6,
          "FDP_RIP": 1,
          "FDP_RIP.1": 7,
          "FDP_RIP.1.1": 1
        },
        "FIA": {
          "FIA_AFL.1": 5,
          "FIA_AFL.1.1": 1,
          "FIA_AFL.1.2": 1,
          "FIA_UAU.1": 5,
          "FIA_UAU.2": 29,
          "FIA_UAU.2.1": 1,
          "FIA_UAU.5": 29,
          "FIA_UAU.5.1": 1,
          "FIA_UAU.5.2": 1,
          "FIA_UAU.6": 6,
          "FIA_UAU.6.1": 1,
          "FIA_UAU.7": 8,
          "FIA_UAU.7.1": 1,
          "FIA_UID.1": 6,
          "FIA_UID.2": 29,
          "FIA_UID.2.1": 1
        },
        "FMT": {
          "FMT_MOF": 6,
          "FMT_MOF.1": 4,
          "FMT_MOF.1.1": 2,
          "FMT_MSA.3": 1,
          "FMT_MTD": 15,
          "FMT_MTD.1.1": 3,
          "FMT_SMF": 1,
          "FMT_SMF.1": 24,
          "FMT_SMF.1.1": 1,
          "FMT_SMR": 1,
          "FMT_SMR.1": 24,
          "FMT_SMR.1.1": 1,
          "FMT_SMR.1.2": 1
        },
        "FPT": {
          "FPT_FLS": 1,
          "FPT_FLS.1": 8,
          "FPT_FLS.1.1": 1,
          "FPT_IDA": 39,
          "FPT_IDA.1": 5,
          "FPT_IDA.1.1": 6,
          "FPT_ITC.1": 2,
          "FPT_SSY": 21,
          "FPT_SSY.1": 5,
          "FPT_SSY.1.1": 5,
          "FPT_STM.1": 7,
          "FPT_STM.1.1": 1,
          "FPT_TST.1": 5,
          "FPT_TST.1.1": 1,
          "FPT_TST.1.2": 1,
          "FPT_TST.1.3": 1
        },
        "FTP": {
          "FTP_ITC.1": 21,
          "FTP_ITC.1.1": 1,
          "FTP_ITC.1.2": 1,
          "FTP_ITC.1.3": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 7
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "TLS": {
            "TLS": 7,
            "TLS v1.2": 2
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA2": {
            "SHA-256": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {
        "FI": {
          "physical tampering": 1
        }
      },
      "standard_id": {
        "CC": {
          "CCMB-2017-04-001": 2,
          "CCMB-2017-04-002": 1,
          "CCMB-2017-04-003": 1,
          "CCMB-2017-04-004": 1
        },
        "FIPS": {
          "FIPS 180-4": 3,
          "FIPS 197": 5
        },
        "PKCS": {
          "PKCS #1": 1,
          "PKCS#1": 2
        },
        "RFC": {
          "RFC 3447": 1,
          "RFC 4493": 3,
          "RFC 5246": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 8,
            "AES-256": 4
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 9
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "st_metadata": null
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": [
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/SSR_Application_Firmware_PP_v2.8.pdf"
    ]
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/E-Bio%20KEC%20SSR%20Firmware%20v1.1%20Certification%20Report.pdf",
  "scheme": "TR",
  "security_level": {
    "_type": "Set",
    "elements": [
      "ALC_DVS.2",
      "EAL4+"
    ]
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/E-Bio-KEC-ST-v1.6.docx",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "f36eb7766e9b8e28e472ef489d7fe1d87eebb28f008bfdc7b4db0d4413bcc12e",
      "source_hash": "475a9d254e691c1045a3d4cd2282e2d96b1a1f2bf4ffecfcbe0a8558bc42d6b9",
      "txt_hash": "d74c474b0a868f63d3d4a36e335603fcfe84d33bffc36dae66785a437d758e1b"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": false,
      "json_hash": "410362bf82689380343908f9f86b759d2058cd94274661641c2eaf1acbfe9154",
      "source_hash": "b2d4e640e6909873adda441794314e0e888e0058bb72295e72d7211ed3def2d1",
      "txt_hash": "d21bf0232206f0a80099e12f8ae6b75822522d7fd243aae415b5f4dabe282a57"
    }
  },
  "status": "archived"
}